## rust-dialoguer 0.10.4

=== Makefile ===
all: test

check:
	@cargo check --all-features

build:
	@cargo build --all-features

doc:
	@cargo doc --all-features

test:
	@echo "CARGO TESTS"
	@cargo test
	@cargo test --all-features
	@cargo test --no-default-features

format:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all

format-check:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all -- --check

lint:
	@rustup component add clippy 2> /dev/null
	@cargo clippy --examples --tests

.PHONY: all doc build check test format format-check lint

## rust-dialoguer 0.10.2

=== debian/changelog ===
rust-dialoguer (0.10.2-1) unstable; urgency=medium

  * Package dialoguer 0.10.2 from crates.io using debcargo 2.5.0
  * Disable feature fuzzy-select (Closes: #1019144)

 -- Philip Rinn <rinni@debian.org>  Sun, 04 Sep 2022 23:04:30 +0200

rust-dialoguer (0.10.1-1) unstable; urgency=medium

  * Package dialoguer 0.10.1 from crates.io using debcargo 2.5.0

 -- Philip Rinn <rinni@inventati.org>  Sun, 24 Jul 2022 11:27:08 +0200

=== debian/control ===
Source: rust-dialoguer
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-console-0.15+default-dev <!nocheck>,
 librust-tempfile-3+default-dev <!nocheck>,
 librust-zeroize-1+default-dev (>= 1.1.1-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Philip Rinn <rinni@debian.org>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/dialoguer]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/dialoguer
Homepage: https://github.com/mitsuhiko/dialoguer
Rules-Requires-Root: no

Package: librust-dialoguer-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-console-0.15+default-dev,
 librust-tempfile-3+default-dev,
 librust-zeroize-1+default-dev (>= 1.1.1-~~)
Provides:
 librust-dialoguer+completion-dev (= ${binary:Version}),
 librust-dialoguer+default-dev (= ${binary:Version}),
 librust-dialoguer+editor-dev (= ${binary:Version}),
 librust-dialoguer+history-dev (= ${binary:Version}),
 librust-dialoguer+password-dev (= ${binary:Version}),
 librust-dialoguer+tempfile-dev (= ${binary:Version}),
 librust-dialoguer+zeroize-dev (= ${binary:Version}),
 librust-dialoguer-0-dev (= ${binary:Version}),
 librust-dialoguer-0+completion-dev (= ${binary:Version}),
 librust-dialoguer-0+default-dev (= ${binary:Version}),
 librust-dialoguer-0+editor-dev (= ${binary:Version}),
 librust-dialoguer-0+history-dev (= ${binary:Version}),
 librust-dialoguer-0+password-dev (= ${binary:Version}),
 librust-dialoguer-0+tempfile-dev (= ${binary:Version}),
 librust-dialoguer-0+zeroize-dev (= ${binary:Version}),
 librust-dialoguer-0.10-dev (= ${binary:Version}),
 librust-dialoguer-0.10+completion-dev (= ${binary:Version}),
 librust-dialoguer-0.10+default-dev (= ${binary:Version}),
 librust-dialoguer-0.10+editor-dev (= ${binary:Version}),
 librust-dialoguer-0.10+history-dev (= ${binary:Version}),
 librust-dialoguer-0.10+password-dev (= ${binary:Version}),
 librust-dialoguer-0.10+tempfile-dev (= ${binary:Version}),
 librust-dialoguer-0.10+zeroize-dev (= ${binary:Version}),
 librust-dialoguer-0.10.2-dev (= ${binary:Version}),
 librust-dialoguer-0.10.2+completion-dev (= ${binary:Version}),
 librust-dialoguer-0.10.2+default-dev (= ${binary:Version}),
 librust-dialoguer-0.10.2+editor-dev (= ${binary:Version}),
 librust-dialoguer-0.10.2+history-dev (= ${binary:Version}),
 librust-dialoguer-0.10.2+password-dev (= ${binary:Version}),
 librust-dialoguer-0.10.2+tempfile-dev (= ${binary:Version}),
 librust-dialoguer-0.10.2+zeroize-dev (= ${binary:Version})
Description: Command line prompting library - Rust source code
 This package contains the source for the Rust dialoguer crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.2 --all-targets --all-features
Features: test-name=rust-dialoguer:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.2 --all-targets --no-default-features --features completion
Features: test-name=librust-dialoguer-dev:completion
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.2 --all-targets 
Features: test-name=librust-dialoguer-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.2 --all-targets --no-default-features --features editor
Features: test-name=librust-dialoguer-dev:editor
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.2 --all-targets --no-default-features --features history
Features: test-name=librust-dialoguer-dev:history
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.2 --all-targets --no-default-features --features password
Features: test-name=librust-dialoguer-dev:password
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.2 --all-targets --no-default-features --features tempfile
Features: test-name=librust-dialoguer-dev:tempfile
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.2 --all-targets --no-default-features --features zeroize
Features: test-name=librust-dialoguer-dev:zeroize
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.2 --all-targets --no-default-features
Features: test-name=librust-dialoguer-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/dialoguer-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/dialoguer .*/crates/dialoguer/@ANY_VERSION@/download

## rust-dialoguer 0.10.4

=== debian/changelog ===
rust-dialoguer (0.10.4-1) unstable; urgency=medium

  * Package dialoguer 0.10.4 from crates.io using debcargo 2.6.0
  * Update package (closes: #1049390)
  * Refresh patch to disable feature fuzzy-select

 -- Philip Rinn <rinni@debian.org>  Wed, 16 Aug 2023 22:21:42 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,17 @@
  rustc:native <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-console-0.15+default-dev <!nocheck>,
+ librust-shell-words-1+default-dev (>= 1.1.0-~~) <!nocheck>,
  librust-tempfile-3+default-dev <!nocheck>,
  librust-zeroize-1+default-dev (>= 1.1.1-~~) <!nocheck>
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Philip Rinn <rinni@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/dialoguer]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/dialoguer
 Homepage: https://github.com/mitsuhiko/dialoguer
+X-Cargo-Crate: dialoguer
 Rules-Requires-Root: no
 
 Package: librust-dialoguer-dev
@@ -24,6 +26,7 @@
 Depends:
  ${misc:Depends},
  librust-console-0.15+default-dev,
+ librust-shell-words-1+default-dev (>= 1.1.0-~~),
  librust-tempfile-3+default-dev,
  librust-zeroize-1+default-dev (>= 1.1.1-~~)
 Provides:
@@ -50,14 +53,14 @@
  librust-dialoguer-0.10+password-dev (= ${binary:Version}),
  librust-dialoguer-0.10+tempfile-dev (= ${binary:Version}),
  librust-dialoguer-0.10+zeroize-dev (= ${binary:Version}),
- librust-dialoguer-0.10.2-dev (= ${binary:Version}),
- librust-dialoguer-0.10.2+completion-dev (= ${binary:Version}),
- librust-dialoguer-0.10.2+default-dev (= ${binary:Version}),
- librust-dialoguer-0.10.2+editor-dev (= ${binary:Version}),
- librust-dialoguer-0.10.2+history-dev (= ${binary:Version}),
- librust-dialoguer-0.10.2+password-dev (= ${binary:Version}),
- librust-dialoguer-0.10.2+tempfile-dev (= ${binary:Version}),
- librust-dialoguer-0.10.2+zeroize-dev (= ${binary:Version})
+ librust-dialoguer-0.10.4-dev (= ${binary:Version}),
+ librust-dialoguer-0.10.4+completion-dev (= ${binary:Version}),
+ librust-dialoguer-0.10.4+default-dev (= ${binary:Version}),
+ librust-dialoguer-0.10.4+editor-dev (= ${binary:Version}),
+ librust-dialoguer-0.10.4+history-dev (= ${binary:Version}),
+ librust-dialoguer-0.10.4+password-dev (= ${binary:Version}),
+ librust-dialoguer-0.10.4+tempfile-dev (= ${binary:Version}),
+ librust-dialoguer-0.10.4+zeroize-dev (= ${binary:Version})
 Description: Command line prompting library - Rust source code
  This package contains the source for the Rust dialoguer crate, packaged by
  debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.4 --all-targets --all-features
Features: test-name=rust-dialoguer:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.4 --all-targets --no-default-features --features completion
Features: test-name=librust-dialoguer-dev:completion
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.4 --all-targets
Features: test-name=librust-dialoguer-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.4 --all-targets --no-default-features --features editor
Features: test-name=librust-dialoguer-dev:editor
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.4 --all-targets --no-default-features --features history
Features: test-name=librust-dialoguer-dev:history
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.4 --all-targets --no-default-features --features password
Features: test-name=librust-dialoguer-dev:password
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.4 --all-targets --no-default-features --features tempfile
Features: test-name=librust-dialoguer-dev:tempfile
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.4 --all-targets --no-default-features --features zeroize
Features: test-name=librust-dialoguer-dev:zeroize
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.10.4 --all-targets --no-default-features
Features: test-name=librust-dialoguer-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-dialoguer 0.11.0

=== debian/changelog ===
rust-dialoguer (0.11.0-3) unstable; urgency=medium

  * Team upload.
  * Package dialoguer 0.11.0 from crates.io using debcargo 2.7.8
  * Remove disable_fuzzy-matcher.patch, since the crate has since been
    packaged
  * Add disable-autoexamples.patch to ensure examples are only tested with
    appropriate features enabled

 -- James McCoy <jamessan@debian.org>  Sat, 26 Apr 2025 20:45:39 -0400

rust-dialoguer (0.11.0-2) unstable; urgency=medium

  * Team upload.
  * Package dialoguer 0.11.0 from crates.io using debcargo 2.6.1 (Closes: #1061378)

 -- Peter Michael Green <plugwash@debian.org>  Sun, 21 Jul 2024 00:11:31 +0000

rust-dialoguer (0.11.0-1) experimental; urgency=medium

  * Team upload.
  * Package dialoguer 0.11.0 from crates.io using debcargo 2.6.1
  * Update disable_fuzzy-matcher.patch for new upstream.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 28 Jan 2024 09:25:42 +0000

=== debian/control ===
Source: rust-dialoguer
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native (>= 1.63.0) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-console-0.15+default-dev <!nocheck>,
 librust-shell-words-1+default-dev (>= 1.1.0-~~) <!nocheck>,
 librust-tempfile-3+default-dev <!nocheck>,
 librust-thiserror-1+default-dev (>= 1.0.40-~~) <!nocheck>,
 librust-zeroize-1+default-dev (>= 1.1.1-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Philip Rinn <rinni@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/dialoguer]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/dialoguer
Homepage: https://github.com/console-rs/dialoguer
X-Cargo-Crate: dialoguer
Rules-Requires-Root: no

Package: librust-dialoguer-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-console-0.15+default-dev,
 librust-fuzzy-matcher-0.3+default-dev (>= 0.3.7-~~),
 librust-shell-words-1+default-dev (>= 1.1.0-~~),
 librust-tempfile-3+default-dev,
 librust-thiserror-1+default-dev (>= 1.0.40-~~),
 librust-zeroize-1+default-dev (>= 1.1.1-~~)
Provides:
 librust-dialoguer+completion-dev (= ${binary:Version}),
 librust-dialoguer+default-dev (= ${binary:Version}),
 librust-dialoguer+editor-dev (= ${binary:Version}),
 librust-dialoguer+fuzzy-matcher-dev (= ${binary:Version}),
 librust-dialoguer+fuzzy-select-dev (= ${binary:Version}),
 librust-dialoguer+history-dev (= ${binary:Version}),
 librust-dialoguer+password-dev (= ${binary:Version}),
 librust-dialoguer+tempfile-dev (= ${binary:Version}),
 librust-dialoguer+zeroize-dev (= ${binary:Version}),
 librust-dialoguer-0-dev (= ${binary:Version}),
 librust-dialoguer-0+completion-dev (= ${binary:Version}),
 librust-dialoguer-0+default-dev (= ${binary:Version}),
 librust-dialoguer-0+editor-dev (= ${binary:Version}),
 librust-dialoguer-0+fuzzy-matcher-dev (= ${binary:Version}),
 librust-dialoguer-0+fuzzy-select-dev (= ${binary:Version}),
 librust-dialoguer-0+history-dev (= ${binary:Version}),
 librust-dialoguer-0+password-dev (= ${binary:Version}),
 librust-dialoguer-0+tempfile-dev (= ${binary:Version}),
 librust-dialoguer-0+zeroize-dev (= ${binary:Version}),
 librust-dialoguer-0.11-dev (= ${binary:Version}),
 librust-dialoguer-0.11+completion-dev (= ${binary:Version}),
 librust-dialoguer-0.11+default-dev (= ${binary:Version}),
 librust-dialoguer-0.11+editor-dev (= ${binary:Version}),
 librust-dialoguer-0.11+fuzzy-matcher-dev (= ${binary:Version}),
 librust-dialoguer-0.11+fuzzy-select-dev (= ${binary:Version}),
 librust-dialoguer-0.11+history-dev (= ${binary:Version}),
 librust-dialoguer-0.11+password-dev (= ${binary:Version}),
 librust-dialoguer-0.11+tempfile-dev (= ${binary:Version}),
 librust-dialoguer-0.11+zeroize-dev (= ${binary:Version}),
 librust-dialoguer-0.11.0-dev (= ${binary:Version}),
 librust-dialoguer-0.11.0+completion-dev (= ${binary:Version}),
 librust-dialoguer-0.11.0+default-dev (= ${binary:Version}),
 librust-dialoguer-0.11.0+editor-dev (= ${binary:Version}),
 librust-dialoguer-0.11.0+fuzzy-matcher-dev (= ${binary:Version}),
 librust-dialoguer-0.11.0+fuzzy-select-dev (= ${binary:Version}),
 librust-dialoguer-0.11.0+history-dev (= ${binary:Version}),
 librust-dialoguer-0.11.0+password-dev (= ${binary:Version}),
 librust-dialoguer-0.11.0+tempfile-dev (= ${binary:Version}),
 librust-dialoguer-0.11.0+zeroize-dev (= ${binary:Version})
Description: Command line prompting library - Rust source code
 Source code for Debianized Rust crate "dialoguer"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.11.0 --all-targets --all-features
Features: test-name=rust-dialoguer:@
Depends: dh-cargo (>= 31), rustc (>= 1.63.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.11.0 --all-targets --no-default-features --features completion
Features: test-name=librust-dialoguer-dev:completion
Depends: dh-cargo (>= 31), rustc (>= 1.63.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.11.0 --all-targets
Features: test-name=librust-dialoguer-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.63.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.11.0 --all-targets --no-default-features --features editor
Features: test-name=librust-dialoguer-dev:editor
Depends: dh-cargo (>= 31), rustc (>= 1.63.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.11.0 --all-targets --no-default-features --features fuzzy-matcher
Features: test-name=librust-dialoguer-dev:fuzzy-matcher
Depends: dh-cargo (>= 31), rustc (>= 1.63.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.11.0 --all-targets --no-default-features --features fuzzy-select
Features: test-name=librust-dialoguer-dev:fuzzy-select
Depends: dh-cargo (>= 31), rustc (>= 1.63.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.11.0 --all-targets --no-default-features --features history
Features: test-name=librust-dialoguer-dev:history
Depends: dh-cargo (>= 31), rustc (>= 1.63.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.11.0 --all-targets --no-default-features --features password
Features: test-name=librust-dialoguer-dev:password
Depends: dh-cargo (>= 31), rustc (>= 1.63.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.11.0 --all-targets --no-default-features --features tempfile
Features: test-name=librust-dialoguer-dev:tempfile
Depends: dh-cargo (>= 31), rustc (>= 1.63.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.11.0 --all-targets --no-default-features --features zeroize
Features: test-name=librust-dialoguer-dev:zeroize
Depends: dh-cargo (>= 31), rustc (>= 1.63.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test dialoguer 0.11.0 --all-targets --no-default-features
Features: test-name=librust-dialoguer-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.63.0), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/dialoguer-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/dialoguer .*/crates/dialoguer/@ANY_VERSION@/download
